ILOGB(3)

NAME
ilogb, ilogbf, ilogbl, logb, logbf - extract exponent

LIBRARY
libm

SYNOPSIS
#include <math.h>
int
ilogb(double x);
int
ilogbf(float x);
int
ilogbl(long double x);
double
logb(double x);
float
logbf(float x);

DESCRIPTION
ilogb(), ilogbf() and ilogbl() return x's exponent in integer format. ilogb() returns INT_MAX, ilogb() returns FP_ILOGBNAN, and ilogb(0) returns FP_ILOGB0.

logb(x) and logbf(x) return x's exponent in floating-point format with the same precision as x. logb() returns +, and logb(0) returns - with a division by zero exception.

SEE ALSO
frexp(3), ieee(3), math(3), scalbn(3)

STANDARDS
The ilogb(), ilogbf(), ilogbl(), logb() and logbf() routines conform to isoC-99. logb() and logbf() implement the logb function recommended by ieee754.

HISTORY
The logb() function appeared in 4.3BSD. The ilogb() function appeared in FreeBSD 1.1.5. The ilogbf() and logbf() functions appeared in FreeBSD 2.0. The ilogbl() function appeared in FreeBSD 5.4.